/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { FolderPath } from "./FolderPath";
import type { IncludeExternal } from "./IncludeExternal";
import type { IncludeFiles } from "./IncludeFiles";
import type { IncludePhysicalFolders } from "./IncludePhysicalFolders";
import type { IncludeVirtualFolders } from "./IncludeVirtualFolders";
import type { IterateFolderRecursively } from "./IterateFolderRecursively";
import type { TagScopeCondition } from "./TagScopeCondition";

export type CopyFolderRequest = {
  includeExternalItems: IncludeExternal;
  includeFiles: IncludeFiles;
  includePhysicalFolders: IncludePhysicalFolders;
  includeVirtualFolders: IncludeVirtualFolders;
  recursive: IterateFolderRecursively;
  condition: TagScopeCondition | null;
  destination: FolderPath;
  source: FolderPath;
};
