/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

/**
 * If `true` then includes files and physical sub-folders from folders that have overridden storage settings at this level and below.
 *
 * If `false` then skips files and physical sub-folders that have been introduced by overridden storage settings at this level and below.
 *
 * If the current folder inherits its storage settings from an ancestor that has overridden storage settings — e.g. an ancestor folder that's configured to use S3, and this folder inherits those settings — then the files and physical sub-folders of this folder will be included in this operation, regardless of this flag.
 *
 * Default: true
 */
export type IncludeExternal = boolean;
